Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages.xml
Class LogXml

    java.lang.Object
      net.sf.statcvs.pages.xml.LogXml

    public class LogXml

extends java.lang.Object

Constructor Summary
`LogXml(ReportConfig config)`

Method Summary
`org.jdom.Element` | `toFile()` returns jdom element which contains data extracted from the commit list of the repository

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogXml

    public LogXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

Method Detail

### toFile

    public org.jdom.Element toFile()

  returns jdom element which contains data extracted from the commit list of the repository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD